Package org.kapott.hbci.concurrent

## Class HBCIRunnable

- java.lang.Object
- - org.kapott.hbci.concurrent.HBCIRunnable

All Implemented Interfaces:
  `java.lang.Runnable`

    public abstract class HBCIRunnable
    extends java.lang.Object
    implements java.lang.Runnable

Basis-Klasse für Implementierungen von `Runnable`, die typische Aufgaben mit einem `HBCIPassport` ausführen sollen.

Implementierungen müssen die Methode `execute()` ergänzen.

Bei Ausführung einer solchen `Runnable` passiert folgendes:

1. {@link HBCIUtils.initThread(properties, callback)} wird mit den Parametern aus dem Constructor aufgerufen.
2. Das Passport wird von der `HBCIPassportFactory` abgefragt und darüber wird der `HBCIHandler` erzeugt.
3. `execute()` wird aufgerufen.
`HBCIPassport` und `HBCIHandler` sind über die Variablen `passport` bzw. `handler` verfügbar.

Abschließend werden Handler und Passport geschlossen, sowie `HBCIUtils.doneThread()` aufgerufen.

Author:
  Hendrik Schnepel

### Field Summary

Fields
`protected HBCIHandler` `handler`
`protected HBCIPassport` `passport`

### Constructor Summary

Constructors
`HBCIRunnable​(java.util.Properties properties, HBCICallback callback, HBCIPassportFactory passportFactory)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `execute()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### passport

    protected HBCIPassport passport

#### handler

    protected HBCIHandler handler

### Constructor Detail

#### HBCIRunnable

    public HBCIRunnable​(java.util.Properties properties,
                        HBCICallback callback,
                        HBCIPassportFactory passportFactory)

### Method Detail

#### run

    public final void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### execute

    protected abstract void execute()
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`